# Ice::UnsupportedProtocolException

## Overview

### local exception UnsupportedProtocolException extends ProtocolException

This exception indicates an unsupported protocol version.

## Data Member Index

badMajor
  The major version number of the unsupported protocol.
badMinor
  The minor version number of the unsupported protocol.
major
  The major version number of the protocol that is supported.
minor
  The highest minor version number of the protocol that can be supported.

## Data Members

int badMajor;

  The major version number of the unsupported protocol.

int badMinor;

  The minor version number of the unsupported protocol.

int major;

  The major version number of the protocol that is supported.

int minor;

  The highest minor version number of the protocol that can be supported.